import greenfoot.*;
import java.awt.Color;

public class Mouse extends Actor
{
    Actor object=null;
    public Mouse(){
        GreenfootImage image = new GreenfootImage(1,1);
        image.setColor(Color.WHITE);
        image.fill();
        setImage(image);
    }
    public void act()
    {
        MouseInfo mouse = Greenfoot.getMouseInfo();
        if (mouse==null)return;
        setLocation(mouse.getX(),mouse.getY());
        if (object==null){
            object = getOneObjectAtOffset(0,0,SpriteSheet.class);
        }
        if (object!=null){
            if (mouse.getButton()==1){
                object.setLocation(getX(),getY());
            }else{
                object=null;
            }
        }
    }
}   
